The Apache Haus Forum

Forum Topics => Third-party Modules => Topic started by: wort4712 on November 27, 2013, 08:27:48 AM

Title: Looking for mod Subversion (mod_svn) 1.8.5 VC11, X64
Post by: wort4712 on November 27, 2013, 08:27:48 AM
Hello,
do you plan to release mod Subversion (mod_svn) 1.8.5 VC11, X64 in the near future  ;)
Looking for it because of the hotcopy fixes included.
Thank you
  Wolfgang
 
Title: Re: Looking for mod Subversion (mod_svn) 1.8.5 VC11, X64
Post by: mario on November 27, 2013, 09:52:56 AM
Hi Wolfgang,
I plan to do compile it this week.


Cheers!
Title: Re: Looking for mod Subversion (mod_svn) 1.8.5 VC11, X64
Post by: mario on November 27, 2013, 11:20:30 PM
I've added VC9 for apache 2.2 builds and VC11 builds for apache 2.4

report any troubles  ;)
Title: Re: Looking for mod Subversion (mod_svn) 1.8.5 VC11, X64
Post by: wort4712 on November 29, 2013, 08:31:22 AM
Hi Mario,
thank you for compiling, but it looks like that there is a mess with the download links for 2.2.x and 2.4.x (VC11).
- 2.2.x, x86 is missing in the 2.2.x section, but
- appears twice in the 2.4.x section (with wrong names), and
- 2.4.x x86 is completely missing

2.2.x, VC9 links are also not complete, x86 version is missing.


Wolfgang
Title: Re: Looking for mod Subversion (mod_svn) 1.8.5 VC11, X64
Post by: mario on November 29, 2013, 09:31:05 AM
Thanks a lot for the hint! I fixed that. Looks like I had associated one file twice.  :-[
Title: Re: Looking for mod Subversion (mod_svn) 1.8.5 VC11, X64
Post by: savetter on January 31, 2014, 10:53:02 AM
The installation of the module (mod_svn-1.8.5-ap24-x64, httpd-2.4.7-x64) doesn't work for me. After the installation and activation of the module:

Code: [Select]
LoadModule dav_module modules/mod_dav.so
LoadModule dav_svn_module modules/mod_dav_svn.so
LoadModule authz_svn_module modules/mod_authz_svn.so

it throws the error:

Quote
httpd.exe: Syntax error on line 179 of C:/.../Apache24_svn18/conf/httpd.conf: Cannot load modules/mod_dav_svn.so into server: The specified module could not be found.

But the module (modules/mod_dav_svn.so) exists. The usage of mod_svn-1.7.10-ap24-x64 works without problems.
Title: Re: Looking for mod Subversion (mod_svn) 1.8.5 VC11, X64
Post by: savetter on January 31, 2014, 11:13:14 AM
oh, I missed that I have to install Visual C++ 2012 Redistributable Package :-\

After the installation it works fine! Thanks to the Apachehaus Team for the great work!
Title: Re: Looking for mod Subversion (mod_svn) 1.8.5 VC11, X64
Post by: mario on January 31, 2014, 03:02:45 PM

After the installation it works fine! Thanks to the Apachehaus Team for the great work!

You are welcome!